> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Leer una transferencia

> Devuelve el agregado de transferencia para el id indicado.



## OpenAPI

````yaml es/openapi/v3-current/sta.yaml get /v1/transfers/{id}
openapi: 3.1.0
info:
  description: >-
    API de Lerian STA — el rail del lado del participante que conecta la
    institución con el sistema de intercambio de archivos STA (Sistema de
    Transferência de Arquivos) del Banco Central do Brasil. Cubre las
    transferencias de archivos salientes y entrantes, la gestión de credenciales
    de BACEN, la configuración del sondeo de fuentes entrantes y el trust-store
    del tenant para los certificados de firma de mensajes.
  title: Lerian STA API
  version: v1.0.0
servers:
  - url: https://sta.sandbox.lerian.net
security:
  - BearerAuth: []
paths:
  /v1/transfers/{id}:
    get:
      tags:
        - transfers
      summary: Leer una transferencia
      description: Devuelve el agregado de transferencia para el id indicado.
      operationId: getTransfer
      parameters:
        - description: Transfer UUID
          in: path
          name: id
          required: true
          schema:
            description: Transfer UUID
            examples:
              - 018f3b2a-0c1d-7a2b-9e4f-1a2b3c4d5e6f
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferView'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: Error
      security:
        - BearerAuth: []
components:
  schemas:
    TransferView:
      additionalProperties: false
      properties:
        bytesDownloaded:
          format: int64
          type: integer
        bytesUploaded:
          format: int64
          type: integer
        createdAt:
          format: date-time
          type: string
        credentialId:
          type: string
        currentState:
          type: string
        currentStateCode:
          format: int64
          type: integer
        direction:
          type: string
        documentType:
          type: string
        downloadAttempts:
          format: int64
          type: integer
        errorCode:
          type: string
        expired:
          type: boolean
        expiresAt:
          format: date-time
          type: string
        fileName:
          type: string
        fileRef:
          type: string
        fileSizeBytes:
          format: int64
          type: integer
        hashMismatchAttempts:
          format: int64
          type: integer
        id:
          type: string
        lastTransitError:
          type: string
        protocolGeneratedAt:
          format: date-time
          type: string
        protocolNumber:
          type: string
        secondsRemaining:
          format: int64
          type: integer
        sourceProduct:
          type: string
        transmissionAttempts:
          format: int64
          type: integer
        updatedAt:
          format: date-time
          type: string
        uploadAttempts:
          format: int64
          type: integer
        urgentRequestedAt:
          format: date-time
          type: string
      required:
        - id
        - direction
        - credentialId
        - documentType
        - fileName
        - fileSizeBytes
        - bytesUploaded
        - bytesDownloaded
        - currentState
        - currentStateCode
        - uploadAttempts
        - downloadAttempts
        - hashMismatchAttempts
        - transmissionAttempts
        - createdAt
        - updatedAt
        - secondsRemaining
        - expired
      type: object
    Detail:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          examples:
            - ERR-0001
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      description: JWT bearer token issued by the identity provider.
      scheme: bearer
      type: http

````